
\subsection{Neu}
\begin{exampleblock}{Aufgabe}
	Was ist die Ausgabe des folgenden Programms?
\end{exampleblock}
\begin{lstlisting}
void func(int &a, int &b, int& c) {
	if (b < a){
		int t = a;
		a = b;
		b= t;
		return;
	}
	int t = a;
	a = b;
	b = c;
	c = t;
}

int main() {
	int a = 1, b = 4, c = 6;
	
	func(a, b, c);
	func(a, b, c);
	func(a, b, c);
	
	std::cout << a << b << c;
}
\end{lstlisting}

\subsection{Adaptiert aus D-ITET HS15}

\begin{exampleblock}{Aufgabe}
	Was ist die Ausgabe folgender Funktion? \
\end{exampleblock}
\begin{lstlisting}
void func(int &a, int b, int& c) {
	if (b > 0)
		a += b * c;
	c *= 2;
	std::cout << a;
}

int main() {
	int res = 0;
	int x = 1;
	for(int i = -1; i < 3; ++i)
		func(res, i, x);
	return 0;
}
\end{lstlisting}

%----------------------------------------------------------------------------------------

